<!DOCTYPE html>
<html lang="en"
      xmlns:th="http://www.thymeleaf.org"
      xmlns:sec="http://www.thymeleaf.org/extras/spring-security">
    <head>
        <title>Virtual Teacher</title>
        <!-- Required meta tags -->
        <meta charset="utf-8">
        <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">

        <!-- Bootstrap CSS -->
        <link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.3.1/css/bootstrap.min.css" integrity="sha384-ggOyR0iXCbMQv3Xipma34MD+dH/1fQ784/j6cY/iJTQUOhcWr7x9JvoRxT2MZw1T" crossorigin="anonymous">
    </head>
    <body>
        <nav class="navbar navbar-expand navbar-light bg-light">
            <a class="navbar-brand col-sm-3" th:href="@{/home}">Virtual Teacher</a>
            <input class="form-control col-sm-6" type="search" placeholder="Search topic, course & teachers" aria-label="Search" style="display:inline;">
            <div class="col-sm-3 text-right" sec:authorize="isAnonymous()">
                <a class="btn btn-link" th:href="@{/login}">Login</a>
                <a class="btn btn-primary" th:href="@{/register}">JOIN NOW</a>
            </div>
            <form class="col-sm-3 text-right" sec:authorize="isAuthenticated()" th:action="@{/logout}" method="post">
                <input class="btn btn-primary" type="submit" value="Logout" />
            </form>
        </nav>
        <div class="container" th:object="${lecture}">
            <div class="mt-3 embed-responsive embed-responsive-21by9">
                <video class="embed-responsive-item" th:src="${lecture.video.filePath}" controls></video>
            </div>
        </div>
    </body>
</html>